%define	upstream_name    Net-DBus
%define	upstream_version 1.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perl API to the DBus message system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
#From: Colin Guthrie <colin@mageia.org>
#Date: Wed, 7 Jan 2015 15:29:41 +0000
#Subject: [PATCH] Add support for interactive authorization.
#
#Support for this is now merged in the dbus 1.9.x branch.
#This allows us to use interactive authorisation (e.g. via polkit) when making
#various bus calls.
# NOTE anaselli before removing patch0 please contact anaselli or coling
Patch0:     0001-Add-support-for-interactive-authorization.patch
Patch1:     split-test-deps.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Twig)
BuildRequires: pkgconfig(dbus-1) >= 1.8.14-2
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of DBus,
but should work with later versions too, providing the API changes have not
been too drastic.

Users of this package are either typically, service providers in which case the
Net::DBus::Service and Net::DBus::Object modules are of most relevance, or are
client consumers, in which case Net::DBus::RemoteService and
Net::DBus::RemoteObject are of most relevance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.2.0-13.mga10
+ Revision: 2226709
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.2.0-12.mga10
+ Revision: 2089260
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.2.0-11.mga10
+ Revision: 2011586
- Rebuild for perl-5.38
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.2.0-7.mga9
+ Revision: 1862232
- Rebuild for Perl 5.36

* Sat Mar 26 2022 umeabot <umeabot> 1.2.0-6.mga9
+ Revision: 1827759
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 1.2.0-5.mga9
+ Revision: 1726325
- rebuild for rebuild for perl-5.34.0

* Tue Jun 23 2020 tv <tv> 1.2.0-4.mga8
+ Revision: 1598538
- split test deps so they do not end as runtime deps

* Wed Jun 17 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1594941
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1540913
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 17 2019 tv <tv> 1.2.0-1.mga8
+ Revision: 1468537
- update to 1.2.0

* Mon Aug 26 2019 tmb <tmb> 1.1.0-11.mga8
+ Revision: 1432603
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.1.0-10.mga7
+ Revision: 1293539
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1.1.0-9.mga7
+ Revision: 1247503
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.1.0-8.mga7
+ Revision: 1165840
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.1.0-7.mga7
+ Revision: 1149089
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.1.0-6.mga7
+ Revision: 1127640
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-5.mga6
+ Revision: 1031050
- Rebuild for perl 5.22.2

* Thu Mar 17 2016 tv <tv> 1.1.0-4.mga6
+ Revision: 992565
- rediff patch
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 anaselli <anaselli> 1.1.0-2.mga6
+ Revision: 905979
- Added back support for interactive authorization
+ tv <tv>
- switch to pkgconfig() BRs

* Tue Jun 30 2015 sander85 <sander85> 1.1.0-1.mga6
+ Revision: 848855
- update to 1.1.0

* Fri Jun 26 2015 tv <tv> 1.0.0-12.mga6
+ Revision: 845045
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.0.0-11.mga6
+ Revision: 841009
- rebuild for perl-5.22

* Wed Jan 07 2015 colin <colin> 1.0.0-10.mga5
+ Revision: 809037
- Add support for interactive authorization

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 750528
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-8.mga5
+ Revision: 732413
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 685635
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0.0-6.mga5
+ Revision: 631471
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-5.mga4
+ Revision: 524071
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.0.0-4.mga4
+ Revision: 429923
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 370512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-2.mga3
+ Revision: 250983
- rebuild for perl 5.16

* Fri Jul 08 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 120627
- update to 1.0.0

* Sun Jun 12 2011 ahmad <ahmad> 0.33.6-9.mga2
+ Revision: 104558
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 0.33.6-8.mga1
+ Revision: 23270
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-Net-DBus


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.33.6-7mdv2011.0
+ Revision: 564556
- rebuild for perl 5.12.1

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.33.6-5mdv2010.1
+ Revision: 426531
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.33.6-4mdv2009.1
+ Revision: 351838
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.33.6-3mdv2009.0
+ Revision: 265419
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 29 2008 Olivier Blin <oblin@mandriva.com> 0.33.6-2mdv2009.0
+ Revision: 199340
- remove useless Data::Dumper import (frees 236 kB from net_applet RSS)

* Fri Feb 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33.6-1mdv2008.1
+ Revision: 173856
- update to new version 0.33.6

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.33.5-2mdv2008.1
+ Revision: 151368
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.33.5-1mdv2008.0
+ Revision: 55599
- new version

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.33.4-1mdv2008.0
+ Revision: 17245
- 0.33.4 (and drop merged patch)


* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.33.3-2mdv2007.0
- Patch0: don't use deprecated API

* Sun Jul 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.33.3-1mdv2007.0
- New release 0.33.3

* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.33.2-1mdv2007.0
- New release 0.33.2
- better source URL

* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.33.1-1mdk
- New release 0.33.1
- spec cleanup
- fix directory ownership
- better summary
- TODO: fix tests

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.32.3-1mdk
- Release 0.32.3

* Mon Nov 21 2005 Olivier Blin <oblin@mandriva.com> 0.32.3-0.1mdk
- 0.32.3 (pre-release)
- remove Patch0, merged upstream

* Fri Nov 04 2005 Olivier Blin <oblin@mandriva.com> 0.32.2-2mdk
- Patch0: support servers not exporting introspection data
  (make RemoteObject able to use methods not exported,
   add back the Value class)

* Thu Oct 27 2005 Olivier Blin <oblin@mandriva.com> 0.32.2-1mdk
- 0.32.2
- drop Patch0 (merged upstream)
- skip tests, _dispatch_prop_read doesn't work if message serial is 0

* Mon Feb 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.1-3mdk
- use pkg-config to get dbus compilation flags, aka. lib64 fixes

* Sat Feb 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.0.1-2mdk
- add BuildRequires: libdbus-devel

* Thu Feb 10 2005 Olivier Blin <oblin@mandrakesoft.com> 0.0.1-1mdk
- initial Mandrakelinux release

